Content
Create or update a content source (book)
Creating a new homebrew content source requires Patreon tier 2+. Updating an existing source requires ownership.
POST
/
create-content-source
Create or update a content source (book)
curl --request POST \
--url https://api.wanderersguide.app/functions/v1/create-content-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"foundry_id": "<string>",
"description": "<string>",
"operations": [
{}
],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_info": "<string>",
"require_key": true,
"keys": {
"access_key": "<string>"
},
"is_published": true,
"required_content_sources": [
123
],
"group": "<string>",
"artwork_url": "<string>",
"meta_data": {
"counts": {}
}
}
'import requests
url = "https://api.wanderersguide.app/functions/v1/create-content-source"
payload = {
"name": "<string>",
"url": "<string>",
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"foundry_id": "<string>",
"description": "<string>",
"operations": [{}],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_info": "<string>",
"require_key": True,
"keys": { "access_key": "<string>" },
"is_published": True,
"required_content_sources": [123],
"group": "<string>",
"artwork_url": "<string>",
"meta_data": { "counts": {} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
id: 123,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
foundry_id: '<string>',
description: '<string>',
operations: [{}],
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_info: '<string>',
require_key: true,
keys: {access_key: '<string>'},
is_published: true,
required_content_sources: [123],
group: '<string>',
artwork_url: '<string>',
meta_data: {counts: {}}
})
};
fetch('https://api.wanderersguide.app/functions/v1/create-content-source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"name": "<string>",
"url": "<string>",
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"foundry_id": "<string>",
"description": "<string>",
"operations": [
{}
],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_info": "<string>",
"require_key": true,
"keys": {
"access_key": "<string>"
},
"is_published": true,
"required_content_sources": [
123
],
"group": "<string>",
"artwork_url": "<string>",
"meta_data": {
"counts": {}
}
}
}Authorizations
API key created in your Wanderer's Guide account settings. Send as Authorization: Bearer <key>. Used for direct API access from external tools and scripts.
Body
application/json
Server-maintained change timestamp, bumped by a database trigger on every real edit. Lets clients detect content changes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create or update a content source (book)

